Bug 435449 - infinite recursion in yum
infinite recursion in yum
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-29 08:42 EST by Chip Coldwell
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:58:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum output (114.46 KB, text/plain)
2008-02-29 08:42 EST, Chip Coldwell
no flags Details
adobe-release.repo (179 bytes, text/plain)
2008-02-29 08:43 EST, Chip Coldwell
no flags Details
atrpms.repo (180 bytes, text/plain)
2008-02-29 08:44 EST, Chip Coldwell
no flags Details
emacs-22 repo (107 bytes, text/plain)
2008-02-29 08:44 EST, Chip Coldwell
no flags Details
fedora.repo (1.07 KB, text/plain)
2008-02-29 08:45 EST, Chip Coldwell
no flags Details
fedora-development.repo (1.50 KB, application/octet-stream)
2008-02-29 08:45 EST, Chip Coldwell
no flags Details
fedora-updates.repo (1006 bytes, text/plain)
2008-02-29 08:46 EST, Chip Coldwell
no flags Details
fedora-updates-testing.repo (1.06 KB, text/plain)
2008-02-29 08:46 EST, Chip Coldwell
no flags Details
livna.repo (1.77 KB, text/plain)
2008-02-29 08:47 EST, Chip Coldwell
no flags Details
livna-testing.repo (1.96 KB, text/plain)
2008-02-29 08:47 EST, Chip Coldwell
no flags Details
rhts.repo (259 bytes, text/plain)
2008-02-29 08:47 EST, Chip Coldwell
no flags Details
brew.repo (153 bytes, text/plain)
2008-02-29 08:49 EST, Chip Coldwell
no flags Details

  None (edit)
Description Chip Coldwell 2008-02-29 08:42:17 EST
Description of problem:

yum install -y mpg321 results in infinite recursion depth.

Version-Release number of selected component (if applicable):

yum-3.2.8-2.fc7

How reproducible:

Easily -- every time with my configuration

Steps to Reproduce:
1. duplicate my yum config (see attached repos)
2. yum install -y mpg321
  
Actual results:

infinite recursion depth; yum bails

Expected results:

mpg321 installed

Additional info:
Comment 1 Chip Coldwell 2008-02-29 08:42:17 EST
Created attachment 296338 [details]
yum output
Comment 2 Chip Coldwell 2008-02-29 08:43:47 EST
Created attachment 296339 [details]
adobe-release.repo

I'm attaching all the repos from /etc/yum.repos.d to reproduce this bug.
FWIW, "yum clean all" doesn't change the behavior.
Comment 3 Chip Coldwell 2008-02-29 08:44:30 EST
Created attachment 296340 [details]
atrpms.repo
Comment 4 Chip Coldwell 2008-02-29 08:44:55 EST
Created attachment 296341 [details]
emacs-22 repo
Comment 5 Chip Coldwell 2008-02-29 08:45:16 EST
Created attachment 296342 [details]
fedora.repo
Comment 6 Chip Coldwell 2008-02-29 08:45:39 EST
Created attachment 296343 [details]
fedora-development.repo
Comment 7 Chip Coldwell 2008-02-29 08:46:13 EST
Created attachment 296344 [details]
fedora-updates.repo
Comment 8 Chip Coldwell 2008-02-29 08:46:50 EST
Created attachment 296345 [details]
fedora-updates-testing.repo
Comment 9 Chip Coldwell 2008-02-29 08:47:11 EST
Created attachment 296346 [details]
livna.repo
Comment 10 Chip Coldwell 2008-02-29 08:47:38 EST
Created attachment 296347 [details]
livna-testing.repo
Comment 11 Chip Coldwell 2008-02-29 08:47:58 EST
Created attachment 296348 [details]
rhts.repo
Comment 12 Chip Coldwell 2008-02-29 08:49:32 EST
Created attachment 296349 [details]
brew.repo
Comment 13 Chip Coldwell 2008-02-29 08:53:40 EST
I removed the emacs-22 repo (which I wasn't using anyway), did a "yum clean all"
followed by a "yum install -y mpg321" and hit the same infinite recursion bug.
Comment 14 Chip Coldwell 2008-02-29 09:04:15 EST
yumdownloader worked fine to download the package, which had two unresolved
dependencies:

$ sudo rpm -ivh mpg321-0.2.10.3-3.lvn6.i386.rpm 
error: Failed dependencies:
        libid3tag.so.0 is needed by mpg321-0.2.10.3-3.lvn6.i386
        libmad.so.0 is needed by mpg321-0.2.10.3-3.lvn6.i386

yum was able to install each of those separately:

$ sudo yum install -y libid3tag
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package libid3tag.i386 0:0.15.1b-3.fc6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 libid3tag               i386       0.15.1b-3.fc6    fedora             44 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 44 k
Downloading Packages:
(1/1): libid3tag-0.15.1b- 100% |=========================|  44 kB    00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: libid3tag                    ######################### [1/1] 

Installed: libid3tag.i386 0:0.15.1b-3.fc6
Complete!
[coldwell@localhost tmp]$ sudo yum install libmad
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package libmad.i386 0:0.15.1b-4.lvn6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 libmad                  i386       0.15.1b-4.lvn6   livna              82 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 82 k
Is this ok [y/N]: y
Downloading Packages:
(1/1): libmad-0.15.1b-4.l 100% |=========================|  82 kB    00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: libmad                       ######################### [1/1] 

Installed: libmad.i386 0:0.15.1b-4.lvn6
Complete!

After which, I could manually install the package, no problem:

$ sudo rpm -ivh mpg321-0.2.10.3-3.lvn6.i386.rpm 
Preparing...                ########################################### [100%]
   1:mpg321                 ########################################### [100%]
$ echo $?
0

Comment 15 Jeremy Katz 2008-02-29 20:56:42 EST
Can you run with -d6 added to the yum command line and grab the output?
Comment 16 Brian Powell 2008-04-25 00:58:30 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.